## List Parse Versions

**get** `/api/v2/parse/versions`

List the parse versions accepted by each tier and what `latest` resolves to.

### Returns

- `agentic: array of "2026-09-07" or "2026-08-19" or "2026-07-24" or 41 more`

  Versions for the agentic tier

  - `"2026-09-07"`

  - `"2026-08-19"`

  - `"2026-07-24"`

  - `"2026-07-23"`

  - `"2026-07-15"`

  - `"2026-06-18"`

  - `"2026-06-11"`

  - `"2026-06-04"`

  - `"2026-06-01"`

  - `"2026-05-26"`

  - `"2026-05-21"`

  - `"2026-05-20"`

  - `"2026-05-19"`

  - `"2026-05-13"`

  - `"2026-05-11"`

  - `"2026-05-06"`

  - `"2026-05-04"`

  - `"2026-04-27"`

  - `"2026-04-22"`

  - `"2026-04-09"`

  - `"2026-04-06"`

  - `"2026-04-02"`

  - `"2026-03-31"`

  - `"2026-03-30"`

  - `"2026-03-27"`

  - `"2026-03-25"`

  - `"2026-03-23"`

  - `"2026-03-22"`

  - `"2026-03-20"`

  - `"2026-03-11"`

  - `"2026-03-10"`

  - `"2026-03-09"`

  - `"2026-03-03"`

  - `"2026-03-02"`

  - `"2026-02-26"`

  - `"2026-02-24"`

  - `"2026-01-30"`

  - `"2026-01-22"`

  - `"2026-01-21"`

  - `"2026-01-16"`

  - `"2026-01-08"`

  - `"2025-12-31"`

  - `"2025-12-18"`

  - `"2025-12-11"`

- `agentic_plus: array of "2026-08-19" or "2026-07-08" or "2026-06-18" or 37 more`

  Versions for the agentic_plus tier

  - `"2026-08-19"`

  - `"2026-07-08"`

  - `"2026-06-18"`

  - `"2026-06-11"`

  - `"2026-06-04"`

  - `"2026-06-01"`

  - `"2026-05-26"`

  - `"2026-05-21"`

  - `"2026-05-20"`

  - `"2026-05-19"`

  - `"2026-05-11"`

  - `"2026-05-06"`

  - `"2026-05-04"`

  - `"2026-05-01"`

  - `"2026-04-27"`

  - `"2026-04-19"`

  - `"2026-04-14"`

  - `"2026-04-09"`

  - `"2026-04-02"`

  - `"2026-03-31"`

  - `"2026-03-26"`

  - `"2026-03-25"`

  - `"2026-03-22"`

  - `"2026-03-20"`

  - `"2026-03-17"`

  - `"2026-03-12"`

  - `"2026-03-10"`

  - `"2026-03-09"`

  - `"2026-03-02"`

  - `"2026-02-26"`

  - `"2026-02-24"`

  - `"2026-01-30"`

  - `"2026-01-29"`

  - `"2026-01-24"`

  - `"2026-01-22"`

  - `"2026-01-21"`

  - `"2026-01-16"`

  - `"2025-12-31"`

  - `"2025-12-18"`

  - `"2025-12-11"`

- `cost_effective: array of "2026-08-19" or "2026-08-11" or "2026-08-08" or 12 more`

  Versions for the cost_effective tier

  - `"2026-08-19"`

  - `"2026-08-11"`

  - `"2026-08-08"`

  - `"2026-07-23"`

  - `"2026-06-26"`

  - `"2026-06-18"`

  - `"2026-06-17"`

  - `"2026-06-11"`

  - `"2026-06-08"`

  - `"2026-06-05"`

  - `"2026-05-28"`

  - `"2026-04-09"`

  - `"2026-03-31"`

  - `"2026-03-27"`

  - `"2026-03-25"`

- `fast: array of "2026-06-15" or "2025-12-11"`

  Versions for the fast tier

  - `"2026-06-15"`

  - `"2025-12-11"`

- `latest: object { agentic, agentic_plus, cost_effective, fast }`

  Version `latest` currently resolves to, per tier

  - `agentic: string`

    Version `latest` resolves to for the agentic tier

  - `agentic_plus: string`

    Version `latest` resolves to for the agentic_plus tier

  - `cost_effective: string`

    Version `latest` resolves to for the cost_effective tier

  - `fast: string`

    Version `latest` resolves to for the fast tier

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/parse/versions \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
{
  "agentic": [
    "2026-09-07"
  ],
  "agentic_plus": [
    "2026-08-19"
  ],
  "cost_effective": [
    "2026-08-19"
  ],
  "fast": [
    "2026-06-15"
  ],
  "latest": {
    "agentic": "agentic",
    "agentic_plus": "agentic_plus",
    "cost_effective": "cost_effective",
    "fast": "fast"
  }
}
```
